@import "compass/css3";

#applicationHost {
  #splash {
    margin-bottom: 0; /* Remove the default bottom margin of .jumbotron */
    #spinner_wrapper {
      $spinner_size: 100px;
      /*position: fixed;
      top: 0;
      left: 0;*/
      width: 100%;
      height: 100%;
      z-index: 1000;

      #spinner {
        display: block;
        position: relative;
        left: 50%;
        top: 50%;
        width: $spinner_size;
        height: $spinner_size;
        margin: 0 0 0 ($spinner_size/2*-1);
        border-radius: 50%;
        border: 3px solid transparent;
        border-top-color: $brand-info;

        -webkit-animation: spin 2s linear infinite; /* Chrome, Opera 15+, Safari 5+ */
        animation: spin 2s linear infinite; /* Chrome, Firefox 16+, IE 10+, Opera */

        z-index: 1001;

        &:before {
          content: "";
          position: absolute;
          top: 5px;
          left: 5px;
          right: 5px;
          bottom: 5px;
          border-radius: 50%;
          border: 3px solid transparent;
          border-top-color: $brand-success;

          -webkit-animation: spin 3s linear infinite; /* Chrome, Opera 15+, Safari 5+ */
          animation: spin 3s linear infinite; /* Chrome, Firefox 16+, IE 10+, Opera */
        }

        &:after {
          content: "";
          position: absolute;
          top: 15px;
          left: 15px;
          right: 15px;
          bottom: 15px;
          border-radius: 50%;
          border: 3px solid transparent;
          border-top-color: $brand-primary;

          -webkit-animation: spin 1.5s linear infinite; /* Chrome, Opera 15+, Safari 5+ */
          animation: spin 1.5s linear infinite; /* Chrome, Firefox 16+, IE 10+, Opera */
        }
      }
      @include keyframes(spin) {
        0% {
          @include transform(rotate(0deg));
        }
        100% {
          @include transform(rotate(360deg));
        }
      }

    }
    #splash_messages {
      white-space: pre;
      word-break: break-all;
      word-wrap: break-word;
      height: 100px;
      overflow-y: hidden;
    }
  }
  /*.splash_without_bootstrap {
    background: none repeat scroll 0 0 $body-bg;
    height: 100%;
    width: 100%;
    z-index: 1000000;
    position: fixed;
    left: 0;
    top: 0;

    .message,
    .messages,
    img.spinner,
    div.spinner {
      margin: auto;
      position: absolute;
      top: 0;
      right: 0;
      bottom: 0;
      left: 0;
      @include box-sizing(border-box);
      cursor: pointer;
    }
    .messages {
      top: 125px;
    }
    .message {
      height: 125px;
      width: auto;
      text-align: center;
      letter-spacing: 3px;
    }
    div.spinner {
      @extend .text-shadow;
      width: 50px;
      height: 50px;
    }
  }*/
}